org.apache.cassandra.db.filter

## Class NamesQueryFilter

- java.lang.Object
- - org.apache.cassandra.db.filter.NamesQueryFilter

- All Implemented Interfaces:
    IDiskAtomFilter

      public class NamesQueryFilter
      extends java.lang.Object
      implements IDiskAtomFilter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NamesQueryFilter.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.SortedSet<java.nio.ByteBuffer>` | `columns`
    `static NamesQueryFilter.Serializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamesQueryFilter(java.nio.ByteBuffer column)`
    `NamesQueryFilter(java.util.SortedSet<java.nio.ByteBuffer> columns)`
    `NamesQueryFilter(java.util.SortedSet<java.nio.ByteBuffer> columns, boolean countCQL3Rows)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectReducedColumns(IColumnContainer container, java.util.Iterator<IColumn> reducedColumns, int gcBefore)` collects columns from reducedColumns into returnCF.
    `SuperColumn` | `filterSuperColumn(SuperColumn superColumn, int gcBefore)` subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.
    `java.util.Comparator<IColumn>` | `getColumnComparator(AbstractType<?> comparator)`
    `int` | `getLiveCount(ColumnFamily cf)`
    `OnDiskAtomIterator` | `getMemtableColumnIterator(ColumnFamily cf, DecoratedKey key)` returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.
    `ISSTableColumnIterator` | `getSSTableColumnIterator(SSTableReader sstable, DecoratedKey key)` returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.
    `ISSTableColumnIterator` | `getSSTableColumnIterator(SSTableReader sstable, FileDataInput file, DecoratedKey key, RowIndexEntry indexEntry)` Get an iterator that returns columns from the given SSTable using the opened file matching the Filter criteria in sorted order.
    `boolean` | `isReversed()`
    `java.lang.String` | `toString()`
    `void` | `updateColumnsLimit(int newLimit)`
    `NamesQueryFilter` | `withUpdatedColumns(java.util.SortedSet<java.nio.ByteBuffer> newColumns)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final NamesQueryFilter.Serializer serializer

    - #### columns

          public final java.util.SortedSet<java.nio.ByteBuffer> columns

  - ### Constructor Detail

    - #### NamesQueryFilter

          public NamesQueryFilter(java.util.SortedSet<java.nio.ByteBuffer> columns)

    - #### NamesQueryFilter

          public NamesQueryFilter(java.util.SortedSet<java.nio.ByteBuffer> columns,
                          boolean countCQL3Rows)

    - #### NamesQueryFilter

          public NamesQueryFilter(java.nio.ByteBuffer column)

  - ### Method Detail

    - #### withUpdatedColumns

          public NamesQueryFilter withUpdatedColumns(java.util.SortedSet<java.nio.ByteBuffer> newColumns)

    - #### getMemtableColumnIterator

          public OnDiskAtomIterator getMemtableColumnIterator(ColumnFamily cf,
                                                     DecoratedKey key)

      Description copied from interface: `IDiskAtomFilter`
      returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.
      Specified by:
        `getMemtableColumnIterator` in interface `IDiskAtomFilter`

    - #### getSSTableColumnIterator

          public ISSTableColumnIterator getSSTableColumnIterator(SSTableReader sstable,
                                                        DecoratedKey key)

      Description copied from interface: `IDiskAtomFilter`
      returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.
      Specified by:
        `getSSTableColumnIterator` in interface `IDiskAtomFilter`

    - #### getSSTableColumnIterator

          public ISSTableColumnIterator getSSTableColumnIterator(SSTableReader sstable,
                                                        FileDataInput file,
                                                        DecoratedKey key,
                                                        RowIndexEntry indexEntry)

      Description copied from interface: `IDiskAtomFilter`
      Get an iterator that returns columns from the given SSTable using the opened file matching the Filter criteria in sorted order.
      Specified by:
        `getSSTableColumnIterator` in interface `IDiskAtomFilter`
        `file` - Already opened file data input, saves us opening another one
        `key` - The key of the row we are about to iterate over

    - #### filterSuperColumn

          public SuperColumn filterSuperColumn(SuperColumn superColumn,
                                      int gcBefore)

      Description copied from interface: `IDiskAtomFilter`
      subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.
      Specified by:
        `filterSuperColumn` in interface `IDiskAtomFilter`
      Parameters:
        `superColumn` - may be modified by filtering op.

    - #### collectReducedColumns

          public void collectReducedColumns(IColumnContainer container,
                                   java.util.Iterator<IColumn> reducedColumns,
                                   int gcBefore)

      Description copied from interface: `IDiskAtomFilter`
      collects columns from reducedColumns into returnCF. Termination is determined by the filter code, which should have some limit on the number of columns to avoid running out of memory on large rows.
      Specified by:
        `collectReducedColumns` in interface `IDiskAtomFilter`

    - #### getColumnComparator

          public java.util.Comparator<IColumn> getColumnComparator(AbstractType<?> comparator)

      Specified by:
        `getColumnComparator` in interface `IDiskAtomFilter`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isReversed

          public boolean isReversed()

      Specified by:
        `isReversed` in interface `IDiskAtomFilter`

    - #### updateColumnsLimit

          public void updateColumnsLimit(int newLimit)

      Specified by:
        `updateColumnsLimit` in interface `IDiskAtomFilter`

    - #### getLiveCount

          public int getLiveCount(ColumnFamily cf)

      Specified by:
        `getLiveCount` in interface `IDiskAtomFilter`

Copyright © 2014 The Apache Software Foundation